SoShaderStateMatrixParameter(3)

NAME
SoShaderStateMatrixParameter - The SoShaderStateMatrixParameter class is used to define a matrix as shader parameter whose content is derived from the traversal state.

SYNOPSIS

#include <Inventor/nodes/SoShaderParameter.h>

Inherits SoUniformShaderParameter.

  Public Types
enum MatrixType { MODELVIEW, PROJECTION, TEXTURE, MODELVIEW_PROJECTION }
enum MatrixTransform { IDENTITY, TRANSPOSE, INVERSE, INVERSE_TRANSPOSE }

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void updateParameter (SoGLShaderObject *shaderObject)
Updates the shader parameter in the OpenGL state with the content of the value field.
virtual void updateValue (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFEnum matrixType
SoSFEnum matrixTransform

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Protected Attributes
SbMatrix value

  Additional Inherited Members

Detailed Description

The SoShaderStateMatrixParameter class is used to define a matrix as shader parameter whose content is derived from the traversal state. Unlike other parameter classes, SoShaderStateMatrixParameter does not have a value field. The value member is protected and updated automatically from the traversal state.

Member Enumeration Documentation

  enum SoShaderStateMatrixParameter::MatrixType
Defines the different matrix types.

  enum SoShaderStateMatrixParameter::MatrixTransform
Defines different transformations that can be applied to a matrix.

Member Function Documentation

  SoType SoShaderStateMatrixParameter::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoShaderStateMatrixParameter::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoUniformShaderParameter.

  const SoFieldData ** SoShaderStateMatrixParameter::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoShaderStateMatrixParameter::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoUniformShaderParameter.

  void SoShaderStateMatrixParameter::updateParameter (SoGLShaderObject * shaderObject) [virtual]

Updates the shader parameter in the OpenGL state with the content of the value field.

Implements SoUniformShaderParameter.

  void SoShaderStateMatrixParameter::updateValue (SoState * state) [virtual]
Updates matrix value from state

Member Data Documentation

  SoSFEnum SoShaderStateMatrixParameter::matrixType
Defines the matrix type value for the uniform shader variable.

  SoSFEnum SoShaderStateMatrixParameter::matrixTransform
Defines a transformation that is applied to the matrix value. The default value of IDENTITY keeps the value unchanged.

Author

Generated automatically by Doxygen for Coin from the source code.